> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a SKU change request



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json post /v1/team/sku-change-request
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/team/sku-change-request:
    post:
      tags:
        - Team
      summary: Create a SKU change request
      operationId: TeamController_createSkuChangeRequest
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSkuChangeRequestDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SkuChangeRequestDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - bearer: []
components:
  schemas:
    CreateSkuChangeRequestDto:
      type: object
      properties:
        requestedSku:
          type: string
          enum:
            - identity
            - adr
          description: The SKU the team is requesting to change to
      required:
        - requestedSku
    SkuChangeRequestDto:
      type: object
      properties:
        id:
          type: string
        teamId:
          type: string
        teamName:
          type: string
        parentTeamName:
          type: string
          nullable: true
        requesterName:
          type: string
        requesterEmail:
          type: string
        reviewerName:
          type: string
          nullable: true
        reviewerEmail:
          type: string
          nullable: true
        currentSku:
          type: string
          enum:
            - identity
            - adr
        requestedSku:
          type: string
          enum:
            - identity
            - adr
        status:
          type: string
          enum:
            - pending
            - accepted
            - denied
            - accepted_with_modifications
            - cancelled
        createdAt:
          type: string
        updatedAt:
          type: string
        isTrial:
          type: boolean
          nullable: true
          description: Live team isTrial from JOIN
        skuStartDate:
          type: string
          nullable: true
          description: Live team skuStartDate from JOIN
        skuEndDate:
          type: string
          nullable: true
          description: Live team skuEndDate from JOIN
      required:
        - id
        - teamId
        - teamName
        - requesterName
        - requesterEmail
        - currentSku
        - requestedSku
        - status
        - createdAt
        - updatedAt
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````